0
$\begingroup$

Rosanswers logo

I am a bit confused if cyclone dds is supported in dashing...
Installed it like described here.

The demo talker / listener is working, so it should be in the list of supported rmw implementations.
But when I want to build my workspace and do --cmake-force-configure or even clean my workspace and rebuild, I always get:

The RMW implementation has been specified as 'rmw_cyclonedds_cpp' through the environment variable 'RMW_IMPLEMENTATION', however it is not in the list of supported rmw implementations, which was specified when the 'rmw_implementation' package was built.

And I think the message is wrong, because the installed demo_nodes_cpp talker/listener is working, so it has to have support!?

My system:
ROS Dashing, Ubuntu 18.04


Originally posted by madmax on ROS Answers with karma: 496 on 2019-10-29

Post score: 0

$\endgroup$

1 Answer 1

0
$\begingroup$

Rosanswers logo

Once https://github.com/ros2/rmw_implementation/pull/68 has been merged and released into Dashing the problem should go away.


Originally posted by Dirk Thomas with karma: 16276 on 2019-11-04

This answer was ACCEPTED on the original site

Post score: 2

$\endgroup$

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.